%define name   meanwhile 
%define version 1.0.2
%define release %mkrel 8
%define Summary  Lotus Sametime Community Client library

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_devel %mklibname %{name} -d

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License:	LGPL
Group:		System/Libraries
URL:		http://meanwhile.sourceforge.net/

Source: 	http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		meanwhile-1.0.2-fix-str-fmt.patch
Patch1:		http://ie.archive.ubuntu.com/gentoo-portage/net-libs/meanwhile/files/meanwhile-1.0.2-presence.patch
Patch2:         meanwhile-1.0.2-fix-build-with-glib-2.31.patch

BuildRequires:	glib2-devel >= 2.2
BuildRequires:	doxygen

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_name}
Summary: Library used for Lotus Sametime connectivity
Group: Development/C
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.

%package -n %{lib_devel}
Summary: Header files and libraries for %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}%{name}1-devel

%description -n %{lib_devel}
This package contains the header files and static libraries for %{name}.
If you would like to develop programs using %{name}, you will need to
install %{name}-devel.

%package -n %{name}-doc
Summary: Documentation for the %{name} library
Group: Development/C
Obsoletes: %{_lib}%{name}1-doc
Provides: %{_lib}%{name}1-doc

%description -n %{name}-doc
Documentation for the %{name} library. 

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

# don't ship .la, .a
rm -f %{buildroot}%{_libdir}/libmeanwhile.{a,la}

%clean
rm -rf %buildroot

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_libdir}/libmeanwhile.so.%{lib_major}*

%files -n %{lib_devel}
%defattr(-, root, root)
%{_includedir}/meanwhile
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files -n %{name}-doc
%defattr(-,root,root)
%{_datadir}/doc/%{name}-doc-%{version}/






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-8.mga3
+ Revision: 359885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 mikala <mikala> 1.0.2-7.mga2
+ Revision: 160892
- Add patch2 to fix build with glib 2.31 following suggestion available on http://lists.fedoraproject.org/pipermail/devel/2011-October/158746.html
 aka:  it is no longer possible to include individual headers. If your package runs into this problem, just replace the problematic includes
       with #include <glib.h>

* Thu Jan 20 2011 ahmad <ahmad> 1.0.2-6.mga1
+ Revision: 26464
- drop old/unneeded scriptlets
- don't ship .la, .a
- imported package meanwhile

